<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core">
    <ui:composition>
        <f:facet name="header">
            <h:graphicImage name="accepted.png" library="images"
                            rendered="#{uiBean.parametersRequest.variableStepIsValid}" />
            <h:outputText value="#{titleForVariablesAccordionItem}" />
        </f:facet>
        <f:loadBundle
            basename="org.inra.ecoinfo.pro.extraction.listeitineraires.homepage.listeitineraires" var="variablesAccordionItem" />
          <h3>
            <h:outputText escape="false" value="#{variablesAccordionItem.PARAM_MSG_PRO_ETUDIE}"
                          rendered="#{not empty uiBean.parametersRequest.variablesProEtudietSelected !=null}" />
        </h3>
        <c:forEach items="#{uiBean.parametersRequest.listVariablesProEtudieSelected}"
                   var="variable" rendered="#{uiBean.parametersRequest.variableStepIsValid}"> 
            <h:panelGrid columns="2">
                <h:outputText value="#{variable.localizedName} "/>
                <h:graphicImage name="delete.png" library="images"
                                onclick="selectVariable(#{variable.id})" styleClass="buttonAction" />
            </h:panelGrid>
        </c:forEach>
         <h3>
            <h:outputText escape="false" value="#{variablesAccordionItem.PROPERTY_MSG_TRAVAIL_SOL}"
                          rendered="#{not empty uiBean.parametersRequest.variablesTravailSolSelected !=null}" />
        </h3>
        <c:forEach items="#{uiBean.parametersRequest.listVariablesTravailSolSelected}"
                   var="variable" rendered="#{uiBean.parametersRequest.variableStepIsValid}"> 
            <h:panelGrid columns="2">
                <h:outputText value="#{variable.localizedName} "/>
                <h:graphicImage name="delete.png" library="images"
                                onclick="selectVariable(#{variable.id})" styleClass="buttonAction" />
            </h:panelGrid>
        </c:forEach>
         <h3>
            <h:outputText escape="false" value="#{variablesAccordionItem.PARAM_MSG_SEMIS_PLANTATION}"
                          rendered="#{not empty uiBean.parametersRequest.variablesSemisPlantationSelected !=null}" />
        </h3>
        <c:forEach items="#{uiBean.parametersRequest.listVariablesSemisPlantationSelected}"
                   var="variable" rendered="#{uiBean.parametersRequest.variableStepIsValid}"> 
            <h:panelGrid columns="2">
                <h:outputText value="#{variable.localizedName} "/>
                <h:graphicImage name="delete.png" library="images"
                                onclick="selectVariable(#{variable.id})" styleClass="buttonAction" />
            </h:panelGrid>
        </c:forEach>
        <h3>
            <h:outputText escape="false" value="#{variablesAccordionItem.PROPERTY_MSG_RECOLTE_COUPE}"
                          rendered="#{not empty uiBean.parametersRequest.variablesRecolteCoupeSelected !=null}" />
        </h3>
        <c:forEach items="#{uiBean.parametersRequest.listVariablesRecolteCoupeSelected}"
                   var="variable" rendered="#{uiBean.parametersRequest.variableStepIsValid}"> 
            <h:panelGrid columns="2">
                <h:outputText value="#{variable.localizedName} "/>
                <h:graphicImage name="delete.png" library="images"
                                onclick="selectVariable(#{variable.dvu_id})" styleClass="buttonAction" />
            </h:panelGrid>
        </c:forEach>
       
        <h3>
            <h:outputText escape="false" value="#{variablesAccordionItem.PROPERTY_MSG_APPORT}"
                          rendered="#{not empty uiBean.parametersRequest.variablesApportSelected !=null}" />
        </h3>
        <c:forEach items="#{uiBean.parametersRequest.listVariablesApportSelected}"
                   var="variable" rendered="#{uiBean.parametersRequest.variableStepIsValid}"> 
            <h:panelGrid columns="2">
                <h:outputText value="#{variable.localizedName} "/>
                <h:graphicImage name="delete.png" library="images"
                                onclick="selectVariable(#{variable.id})" styleClass="buttonAction" />
            </h:panelGrid>
        </c:forEach>
       
      
    </ui:composition>
</html>